> This page is for Data API, version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Update SKU

PATCH https://api.webflow.com/v2/sites/{site_id}/products/{product_id}/skus/{sku_id}
Content-Type: application/json

Update a specified SKU.

Updating an existing SKU will set the Product type to `Advanced`, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | `ecommerce:write`


Reference: https://developers.webflow.com/data/reference/ecommerce/products/update-sku

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site
- `product_id` (string, required) — Unique identifier for a Product
- `sku_id` (string, required) — Unique identifier for a SKU

### Body (application/json)

This endpoint expects an object.

- `sku` (SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSku, required) — The SKU object
- `publishStatus` (enum, optional, default: staging) — Indicate whether your Product should be set as "staging" or "live"
  - Allowed values: `staging`, `live`

## Response

### 200

Request was successful

- `id` (string, required) — Unique identifier for the Product
- `lastPublished` (string, required) — The date the Product was last published
- `lastUpdated` (string, required) — The date the Product was last updated
- `createdOn` (string, required) — The date the Product was created
- `fieldData` (SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldData, required) — Standard and Custom fields for a SKU
- `cmsLocaleId` (string, optional) — Identifier for the locale of the CMS item

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 403 Forbidden Error

Provided access token is valid, but is missing the required scopes.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 404 Not Found Error

Requested resource not found

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 409 Conflict Error

The site does not have ecommerce enabled.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `code` (enum, optional) — Error code
  - Allowed values: `aeo_input_validation`, `analyze_filter_conflict`, `analyze_input_validation`, `analyze_unsupported_filter`, `bad_request`, `batch_too_large`, `before_historical_floor`, `billing_provider_unavailable`, `branch_merge_conflict`, `branch_merge_in_progress`, `branch_not_found`, `branch_publish_failed`, `branch_sync_pending`, `branch_task_not_found`, `branch_update_in_progress`, `brand_not_configured`, `cannot_invite_self`, `cannot_remove_self`, `cannot_update_user_role`, `client_seats_unavailable`, `collection_not_found`, `competitors_not_configured`, `conflict`, `conflicting_scope_filters`, `default_site_role_required`, `duplicate_collection`, `duplicate_member_in_request`, `duplicate_site_in_request`, `duplicate_user_email`, `ecommerce_not_enabled`, `end_time_too_recent`, `enterprise_provisioning_upstream_error`, `enterprise_self_provisioning_not_entitled`, `forbidden`, `forms_require_republish`, `incompatible_webhook_filter`, `insufficient_permissions`, `insufficient_seats`, `internal_error`, `invalid_auth_version`, `invalid_credentials`, `invalid_domain`, `invalid_resolution`, `invalid_site_role`, `invalid_time_range`, `invalid_user_email`, `invalid_workspace_role`, `invite_expired`, `invite_role_conflict`, `item_not_found`, `managed_by_scim`, `member_already_has_access`, `member_has_no_site_access`, `member_is_paying_client`, `member_not_found`, `member_not_removable`, `member_role_conflict`, `missing_scopes`, `no_domains`, `no_members_or_invites`, `not_authorized`, `not_enterprise_plan_site`, `not_enterprise_plan_workspace`, `optimize_before_historical_floor`, `optimize_input_validation`, `optimize_invalid_interval`, `optimize_unknown_dimension`, `optimize_unknown_goal`, `optimize_unknown_optimization`, `optimize_unsupported_group_by`, `order_not_found`, `page_cannot_branch`, `resource_not_found`, `service_unavailable`, `site_access_not_applicable_to_member`, `site_access_not_scopable_for_role`, `site_access_roles_must_match`, `site_not_in_workspace`, `site_role_id_invalid`, `site_role_id_not_allowed`, `site_role_id_required`, `site_specific_access_disabled`, `site_specific_access_not_entitled`, `time_range_too_wide`, `too_many_requests`, `unsupported_bot_provider`, `unsupported_version`, `unsupported_webhook_trigger_type`, `user_limit_reached`, `user_not_found`, `users_not_enabled`, `validation_error`, `workspace_invite_not_found`, `workspace_member_managed_by_scim`, `workspace_member_not_found`, `workspace_member_not_removable`, `workspace_role_not_grantable`
- `message` (string, optional) — Error message
- `externalReference` (string, optional) — Link to more information
- `details` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems, optional) — Array of errors

## Types

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSku

The SKU object

- `id` (string, optional) — Unique identifier for the Product
- `cmsLocaleId` (string, optional) — Identifier for the locale of the CMS item
- `lastPublished` (string, optional) — The date the Product was last published
- `lastUpdated` (string, optional) — The date the Product was last updated
- `createdOn` (string, optional) — The date the Product was created
- `fieldData` (SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldData, optional) — Standard and Custom fields for a SKU

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldData

Standard and Custom fields for a SKU

- `name` (string, required) — Name of the Product
- `slug` (string, required) — URL structure of the Product in your site.
- `price` (SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataPrice, required) — price of SKU
- `sku-values` (map from string to string, optional) — A mapping between SKU properties and their values, represented as key-value pairs. Each key represents a SKU Property ID (e.g. "color") and maps to its corresponding SKU Value ID (e.g. "blue"). This structure defines the specific variant combination for a SKU.
- `compare-at-price` (SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataCompareAtPrice, optional) — comparison price of SKU
- `ec-sku-billing-method` (enum, optional) — [Billing method](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#billing-methods)for the SKU
  - Allowed values: `one-time`, `subscription`
- `ec-sku-subscription-plan` (SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataEcSkuSubscriptionPlan, optional) — [Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU
- `main-image` (string, optional) — The URL for the main image of the SKU
- `sku` (string, optional) — A unique identifier for the SKU
- `sku-properties` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataSkuPropertiesItems, optional) — The properties of the SKU

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaDetailsItems

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldData

Standard and Custom fields for a SKU

- `name` (string, required) — Name of the Product
- `slug` (string, required) — URL structure of the Product in your site.
- `price` (SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataPrice, required) — price of SKU
- `sku-values` (map from string to string, optional) — A mapping between SKU properties and their values, represented as key-value pairs. Each key represents a SKU Property ID (e.g. "color") and maps to its corresponding SKU Value ID (e.g. "blue"). This structure defines the specific variant combination for a SKU.
- `compare-at-price` (SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataCompareAtPrice, optional) — comparison price of SKU
- `ec-sku-billing-method` (enum, optional) — [Billing method](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#billing-methods)for the SKU
  - Allowed values: `one-time`, `subscription`
- `ec-sku-subscription-plan` (SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataEcSkuSubscriptionPlan, optional) — [Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU
- `main-image` (string, optional) — The URL for the main image of the SKU
- `sku` (string, optional) — A unique identifier for the SKU
- `sku-properties` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataSkuPropertiesItems, optional) — The properties of the SKU

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataPrice

price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item
- `currency` (string, optional) — Currency of Item (alternative representation)

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataCompareAtPrice

comparison price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataEcSkuSubscriptionPlan

[Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU

- `interval` (enum, optional) — Interval of subscription renewal
  - Allowed values: `day`, `week`, `month`, `year`
- `frequency` (double, optional) — Frequncy of billing within interval
- `trial` (double, optional) — Number of days of a trial
- `plans` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataEcSkuSubscriptionPlanPlansItems, optional)

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataSkuPropertiesItems

A variant/option type for a SKU

- `id` (string, required) — Unique identifier for a collection of Product Variants
- `name` (string, required) — Name of the collection of Product Variants
- `enum` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataSkuPropertiesItemsEnumItems, required) — The individual Product variants that are contained within the collection

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataPrice

price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item
- `currency` (string, optional) — Currency of Item (alternative representation)

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataCompareAtPrice

comparison price of SKU

- `value` (double, optional) — Price of SKU
- `unit` (string, optional) — Currency of Item

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataEcSkuSubscriptionPlan

[Subscription plan](https://help.webflow.com/hc/en-us/articles/33961432087955-Add-and-manage-products-and-categories#subscription) for the SKU

- `interval` (enum, optional) — Interval of subscription renewal
  - Allowed values: `day`, `week`, `month`, `year`
- `frequency` (double, optional) — Frequncy of billing within interval
- `trial` (double, optional) — Number of days of a trial
- `plans` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataEcSkuSubscriptionPlanPlansItems, optional)

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataSkuPropertiesItems

A variant/option type for a SKU

- `id` (string, required) — Unique identifier for a collection of Product Variants
- `name` (string, required) — Name of the collection of Product Variants
- `enum` (list of SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataSkuPropertiesItemsEnumItems, required) — The individual Product variants that are contained within the collection

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataEcSkuSubscriptionPlanPlansItems

- `platform` (enum, optional) — The platform of the subscription plan
  - Allowed values: `stripe`
- `id` (string, optional) — The unique identifier of the plan
- `status` (enum, optional) — The status of the plan
  - Allowed values: `active`, `inactive`, `canceled`

### SitesSiteIdProductsProductIdSkusSkuIdPatchResponsesContentApplicationJsonSchemaFieldDataSkuPropertiesItemsEnumItems

Enumerated Product variants/Options for the SKU

- `id` (string, required) — Unique identifier for a Product variant/Option
- `name` (string, required) — Name of the Product variant/Option
- `slug` (string, required) — Slug for the Product variant/Option in the Site URL structure

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataEcSkuSubscriptionPlanPlansItems

- `platform` (enum, optional) — The platform of the subscription plan
  - Allowed values: `stripe`
- `id` (string, optional) — The unique identifier of the plan
- `status` (enum, optional) — The status of the plan
  - Allowed values: `active`, `inactive`, `canceled`

### SitesSiteIdProductsProductIdSkusSkuIdPatchRequestBodyContentApplicationJsonSchemaSkuFieldDataSkuPropertiesItemsEnumItems

Enumerated Product variants/Options for the SKU

- `id` (string, required) — Unique identifier for a Product variant/Option
- `name` (string, required) — Name of the Product variant/Option
- `slug` (string, required) — Slug for the Product variant/Option in the Site URL structure

## Examples

**Request**

```json
{
  "sku": {
    "fieldData": {
      "name": "Colorful T-shirt - Default",
      "slug": "colorful-t-shirt-default",
      "price": {
        "value": 2499,
        "unit": "USD",
        "currency": "USD"
      }
    },
    "sku-values": {
      "color": "red",
      "size": "small"
    },
    "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
  }
}
```

**Response**

```json
{
  "id": "66072fb71b89448912e2681c",
  "lastPublished": "2023-03-17T18:47:35.560Z",
  "lastUpdated": "2023-03-17T18:47:35.560Z",
  "createdOn": "2023-03-17T18:47:35.560Z",
  "fieldData": {
    "name": "Colorful T-shirt - Default",
    "slug": "colorful-t-shirt-default",
    "price": {
      "value": 2499,
      "unit": "USD",
      "currency": "USD"
    }
  },
  "cmsLocaleId": "653ad57de882f528b32e810e",
  "sku-values": {
    "color": "red",
    "size": "small"
  },
  "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
}
```

**SDK Code**

```python
import requests

url = "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415"

payload = { "sku": {
        "fieldData": {
            "name": "Colorful T-shirt - Default",
            "slug": "colorful-t-shirt-default",
            "price": {
                "value": 2499,
                "unit": "USD",
                "currency": "USD"
            }
        },
        "sku-values": {
            "color": "red",
            "size": "small"
        },
        "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"sku":{"fieldData":{"name":"Colorful T-shirt - Default","slug":"colorful-t-shirt-default","price":{"value":2499,"unit":"USD","currency":"USD"}},"sku-values":{"color":"red","size":"small"},"main-image":"https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415"

	payload := strings.NewReader("{\n  \"sku\": {\n    \"fieldData\": {\n      \"name\": \"Colorful T-shirt - Default\",\n      \"slug\": \"colorful-t-shirt-default\",\n      \"price\": {\n        \"value\": 2499,\n        \"unit\": \"USD\",\n        \"currency\": \"USD\"\n      }\n    },\n    \"sku-values\": {\n      \"color\": \"red\",\n      \"size\": \"small\"\n    },\n    \"main-image\": \"https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sku\": {\n    \"fieldData\": {\n      \"name\": \"Colorful T-shirt - Default\",\n      \"slug\": \"colorful-t-shirt-default\",\n      \"price\": {\n        \"value\": 2499,\n        \"unit\": \"USD\",\n        \"currency\": \"USD\"\n      }\n    },\n    \"sku-values\": {\n      \"color\": \"red\",\n      \"size\": \"small\"\n    },\n    \"main-image\": \"https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sku\": {\n    \"fieldData\": {\n      \"name\": \"Colorful T-shirt - Default\",\n      \"slug\": \"colorful-t-shirt-default\",\n      \"price\": {\n        \"value\": 2499,\n        \"unit\": \"USD\",\n        \"currency\": \"USD\"\n      }\n    },\n    \"sku-values\": {\n      \"color\": \"red\",\n      \"size\": \"small\"\n    },\n    \"main-image\": \"https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415', [
  'body' => '{
  "sku": {
    "fieldData": {
      "name": "Colorful T-shirt - Default",
      "slug": "colorful-t-shirt-default",
      "price": {
        "value": 2499,
        "unit": "USD",
        "currency": "USD"
      }
    },
    "sku-values": {
      "color": "red",
      "size": "small"
    },
    "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"sku\": {\n    \"fieldData\": {\n      \"name\": \"Colorful T-shirt - Default\",\n      \"slug\": \"colorful-t-shirt-default\",\n      \"price\": {\n        \"value\": 2499,\n        \"unit\": \"USD\",\n        \"currency\": \"USD\"\n      }\n    },\n    \"sku-values\": {\n      \"color\": \"red\",\n      \"size\": \"small\"\n    },\n    \"main-image\": \"https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["sku": [
    "fieldData": [
      "name": "Colorful T-shirt - Default",
      "slug": "colorful-t-shirt-default",
      "price": [
        "value": 2499,
        "unit": "USD",
        "currency": "USD"
      ]
    ],
    "sku-values": [
      "color": "red",
      "size": "small"
    ],
    "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```